Skip Menu |
 

This queue is for tickets about the Perl-Dist-Strawberry CPAN distribution.

Report information
The Basics
Id: 57205
Status: resolved
Priority: 0/
Queue: Perl-Dist-Strawberry

People
Owner: Nobody in particular
Requestors: kmx [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: (no value)
Fixed in: (no value)



Subject: 5.12 Apr2010 - invalid value of $Config{libperl} = 'libperl511.a'
Hi,

Strawberry perl 5.12.0.0 has an invalid $Config{libperl} value - it is  'libperl511.a' instead of 'libperl512.a'

Unfortunately it is a reason why PAR::Packer cannot be installed on Strawberry 5.12.*

--
kmx
Well,

for some reason I have found d:\strawberry\perl\lib\CORE\libperl 511 .a in my strawberry 5.12 .0.0 which means that $Config{libperl} is probably correct.

I am confused.

--
kmx

So finally I got it:

The problem with PAR::Packer is that it expects corresponding names for:
- d:\strawberry\perl\bin\perl512.dll
- d:\strawberry\perl\lib\CORE\libperl511.a

PAR::Packer does the following:
- takes $Config{libperl} value
- tries to find $Config{libperl} in all $Config{libpth} dirs
- takes $Config{'bin'}
- tries to find corresponding libperl5xx.dll in $Config{bin} - this fails

The simplest workaround is to copy d:\strawberry\perl\bin\perl512.dll to d:\strawberry\perl\bin\perl511.dll

We definitelly need to fix this in July2010 release

--
kmx

Download (untitled) / with headers
text/plain 641b
On Tue May 04 15:28:26 2010, KMX wrote: Show quoted text
> We definitelly need to fix this in July2010 release
It's just that the makefile.mk specifies that the 5.12.0 libperl is libperl511.a - patch below. I'm told (from p5p) this has already been fixed in the git repo. ########################### --- makefile.mk_orig Thu Apr 15 17:40:58 2010 +++ makefile.mk Mon May 3 15:14:44 2010 @@ -838,8 +838,8 @@ CFGSH_TMPL = config.gc CFGH_TMPL = config_H.gc .ENDIF -PERLIMPLIB = ..\libperl511$(a) -PERLSTATICLIB = ..\libperl511s$(a) +PERLIMPLIB = ..\libperl512$(a) +PERLSTATICLIB = ..\libperl512s$(a) .ELSE ########################### Cheers, Rob
Download (untitled) / with headers
text/plain 984b
It has been, and I patched this 2-3 days ago. (in r12083 in the repository.) http://fisheye2.atlassian.com/browse/cpan/branches/Perl-Dist-WiX/April-2010-maintenance/share/default/perl-5.12.0/win32/makefile.mk.tt?r1=12079&r2=12083 --Curtis On Tue May 04 18:40:37 2010, SISYPHUS wrote: Show quoted text
> On Tue May 04 15:28:26 2010, KMX wrote: >
> > We definitelly need to fix this in July2010 release
> > It's just that the makefile.mk specifies that the 5.12.0 libperl is > libperl511.a - patch below. I'm told (from p5p) this has already been > fixed in the git repo. > > ########################### > --- makefile.mk_orig Thu Apr 15 17:40:58 2010 > +++ makefile.mk Mon May 3 15:14:44 2010 > @@ -838,8 +838,8 @@ > CFGSH_TMPL = config.gc > CFGH_TMPL = config_H.gc > .ENDIF > -PERLIMPLIB = ..\libperl511$(a) > -PERLSTATICLIB = ..\libperl511s$(a) > +PERLIMPLIB = ..\libperl512$(a) > +PERLSTATICLIB = ..\libperl512s$(a) > > .ELSE > ########################### > > Cheers, > Rob > >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.